const Base64 = require('base-64');
const crypto = require('crypto');

class TokenUtil {
  static hmacSha256(appId, appKey, userId, roomId, nonce, timestamp) {
    const roomInfo = {
      appId,
      appKey,
      roomId,
      timestamp,
      userId
    };

    let jsonStr = JSON.stringify(roomInfo)

    const hmac = crypto.createHmac("sha256", nonce);
    let hash = hmac.update(jsonStr).digest('base64');
    return TokenUtil.replaceCharacter(Base64.encode(hash))
  }

  static replaceCharacter(str) {
    return str.replace(/\+/g, '*')
      .replace(/\//g, '-')
      .replace(/=/g, '_');
  }
}

export default TokenUtil;