import React, { forwardRef } from "react";
import { Select } from 'antd';
const { Option } = Select;

const ResolutionOptions = [
  {label: '640*360', val: 'nhd'},
  {label: '1280*720', val: 'hd'},
  {label: '1920*1080', val: 'fhd'},
]

const Resolution = forwardRef((props, ref) => {
  const handleChange = (val) => {
    const {handleResolution} = props
    handleResolution(val)
  }

  const {isDisabled} = props
  return (
    <Select disabled={isDisabled} defaultValue="nhd" style={{ width: 120, margin: 5 }} onChange={handleChange}>
      {ResolutionOptions.map((item, index) => 
        <Option key={index} value={item.val}>{item.label}</Option>
      )}
    </Select>
  );
})

export default Resolution;