import React, { Component } from "react";
import { List, Button, Tooltip, Divider } from "antd";
import {
  AudioMutedOutlined,
  FormOutlined,
  VideoCameraOutlined,
  DeleteOutlined
} from "@ant-design/icons";

import JRTC from "../common/JRTC";

class RoomControl extends Component {
  removePeer(userId) {
    JRTC.removePeer(userId)
  }

  componentDidMount() {}
  componentWillUnmount() { }
  render() {
    const {allPeers} = this.props
    return (
      <>
        <List
          className="demo-loadmore-list"
          itemLayout="horizontal"
          dataSource={allPeers}
          renderItem={item => (
            <List.Item
              // eslint-disable-next-line jsx-a11y/anchor-is-valid
              actions={[<Tooltip title="移出房间"> <DeleteOutlined onClick={() => JRTC.removePeer(item.userId)} /></Tooltip>,<Tooltip title="静音"><AudioMutedOutlined onClick={() => JRTC.muteAudio(item.userId)} /></Tooltip>, <Tooltip title="关闭视频"><VideoCameraOutlined onClick={() => JRTC.closeVideo(item.userId)} /></Tooltip>, <Tooltip title="自定义信令"><FormOutlined onClick={() => JRTC.customSignal({userId: item.userId})} /></Tooltip>]}
            >
              <div>{item.nickName}</div>
            </List.Item>
          )}
        />
        <Divider />
        <div style={{position: 'absolute', bottom: '0px', left: 0, background: '#ffffff', padding: '10px 20px', boxShadow: "0 0 10px rgb(0 0 0 / 30%)" }}>
          <p>房间操作</p>
          <Button  type="link" size="mini" onClick={() => JRTC.muteAudio()}>静音</Button>
					<Button type="link" size="mini" onClick={() => JRTC.closeVideo()}>关闭视频</Button>
          <Button  type="link" size="mini" onClick={() => JRTC.forbidChat()}>禁言</Button>
          <Button  type="link" size="mini" onClick={() => JRTC.unForbidChat()}>解除禁言</Button>
          <Button  type="link" size="mini" onClick={() => JRTC.customSignal({eventName: 'eventname-test'})}>自定义信令</Button>
				</div>
      </>
    );
  }
}

export default RoomControl;
