import React, { forwardRef } from "react";
import { Divider } from 'antd';

const Stats = forwardRef((props, ref) => {
  const { stats } = props
  return (
    <div style={{ height: '230px', "overflowY": "scroll" }}>
      <Divider orientation="left">网络详情</Divider>
      <p>本地IP: {stats.JRTCNetStats.localIp}</p>
      <p>服务器IP: {stats.JRTCNetStats.serverIp}</p>
      {stats.JRTCLocalStreamStats ? (<><Divider orientation="left">本地流信息</Divider>
      {stats.JRTCLocalStreamStats.map(item => {
        return (
          <div key={`${item.streamId}${item.userId}`}>
            <p>userId: {item.userId}</p>
            <p>流ID: {item.streamId}</p>
            <p>流类型: {item.kind}</p>
            {item.kind !== 'audio' ? (
              <>
                <p>帧率: {item.fps}</p>
                <p>宽: {item.frameWidth}</p>
                <p>高: {item.frameHeight}</p>
              </>
            ) : null}

            <p>rtt: {item.rtt}</p>
            <p>丢包率: {item.netLoss}</p>
            <p>码率: {item.kbps}</p>
            <p>容错码率: {item.fecBitrate}</p>
            <br />
          </div>
        )
      })}</>) : null}
      
      {stats.JRTCRemoteStreamStats.length > 0 ? (<><Divider orientation="left">远端流信息</Divider>
        {stats.JRTCRemoteStreamStats.map(item => {
          return (
            <div key={`${item.streamId}${item.userId}`}>
              <p>userId: {item.userId}</p>
              <p>流ID: {item.streamId}</p>
              <p>流类型: {item.kind}</p>
              {item.kind !== 'audio' ? (
                <>
                  <p>帧率: {item.fps}</p>
                  <p>宽: {item.frameWidth}</p>
                  <p>高: {item.frameHeight}</p>
                </>
              ) : null}
              <p>jitterBufferDelay: {item.jitterBufferDelay}</p>
              <p>丢包率: {item.netLoss}</p>
              <p>码率: {item.kbps}</p>
              <p>容错码率: {item.fecBitrate}</p>
              <br />
            </div>
          )
        })}</>) : null}
    </div>
  );
})

export default Stats;