import React, { Component } from "react";
import { notification, Form, Input, Button, Layout, Radio } from "antd";
import JRTC from "../common/JRTC";
import { config } from "../common/config";
const { Content } = Layout;
const layout = {
  labelCol: { span: 6 },
  wrapperCol: { span: 10 },
};
const tailLayout = {
  wrapperCol: { offset: 6, span: 16 },
};

class Login extends Component {
  formRef = React.createRef();
  constructor() {
    super()
    this.state = {
      modalType: 1,
      roomType: 1,
      initialValues: { remember: true, subscribeType: 1, isVideoRecvonly: true, useVp8: false }
    }
    this.isMsg = false
    this.videoRecvonly = true
    this.useVp8 = false
  }
  async onFinish(values) {
    const me = this;
    if (!values.roomId) return;
    await JRTC.init(config.appId, true)

    me.props.history.push({
      pathname: "/room",
      search:
        "?roomId=" +
        values.roomId +
        "&userId=" +
        values.userId +
        "&nickName=" +
        values.nickName +
        "&subscribeType=" +
        (values.subscribeType || 1) +
        "&isMsg=" +
        me.isMsg +
        "&isVideoRecvonly=" +
        values.isVideoRecvonly +
        "&useVp8=" + values.useVp8,
      state: {
        identityId: 1,
      },
    });
  }

  onChange(checked) {
    this.isMsg = checked
  }

  roomTypeChange(val) {
    this.setState({
      roomType: val
    })
  }

  componentDidMount() {}

  componentWillUnmount() { }
  render() {
    const { initialValues} = this.state
    return (
      <Content
        style={{
          float: "center",
          padding: 24,
          margin: 0,
          height: "100%",
        }}
      >
        <Form
          {...layout}
          ref={this.formRef}
          style={{ width: '80%', margin: '100px auto' }}
          name="basic"
          initialValues={initialValues}
          onFinish={this.onFinish.bind(this)}
        >
          <Form.Item
            label="昵称"
            name="nickName"
            rules={[{ required: true, message: "请输入昵称!" }]}
          >
            <Input />
          </Form.Item>
          <Form.Item
            label="userId"
            name="userId"
            rules={[{ required: true, message: "请输入userId!" }]}
          >
            <Input />
          </Form.Item>
          <Form.Item
            label="房间号"
            name="roomId"
            rules={[{ required: true, message: "请输入roomId!" }]}
          >
            <Input />
          </Form.Item>

          <Form.Item
            label="音频订阅模式"
            name="subscribeType"
          >
            <Radio.Group >
              <Radio value={1}>固定订阅</Radio>
              <Radio value={2}>普通订阅</Radio>
            </Radio.Group>
          </Form.Item>

          <Form.Item
            label="isVideoRecvonly"
            name="isVideoRecvonly"
          >
            <Radio.Group >
              <Radio value={true}>true</Radio>
              <Radio value={false}>false</Radio>
            </Radio.Group>
          </Form.Item>

          <Form.Item
            label="useVp8"
            name="useVp8"
          >
            <Radio.Group >
              <Radio value={true}>true</Radio>
              <Radio value={false}>false</Radio>
            </Radio.Group>
          </Form.Item>

          <Form.Item {...tailLayout}>
            <Button type="primary" htmlType="submit">
              加入房间
            </Button>
          </Form.Item>
        </Form>
      </Content>
    );
  }
}

export default Login;
